# Struct libc::flock [−] [src]

    pub struct flock {
        pub l_start: off_t,
        pub l_len: off_t,
        pub l_pid: pid_t,
        pub l_type: c_short,
        pub l_whence: c_short,
    }

## Fields

`l_start` |
`l_len` |
`l_pid` |
`l_type` |
`l_whence` |

## Trait Implementations

### `impl Copy for flock`

### `impl Clone for flock`

#### `fn clone(&self) -> flock`

#### 1.0.0 `fn clone_from(&mut self, source: &Self)`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)